summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ponce <matteo.bernardini@gmail.com>2011-12-28 05:20:30 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-12-31 00:24:38 -0600
commit3cbd126c2eb6202081cab5ac1de507b5d243b6b4 (patch)
treebc4a403372cbd38628d14cdbaceb2cab0a93fac3
parent460ac8f3570562f14cc53f50459d978739a2b912 (diff)
downloadslackbuilds-3cbd126c2eb6202081cab5ac1de507b5d243b6b4.tar.gz
slackbuilds-3cbd126c2eb6202081cab5ac1de507b5d243b6b4.tar.xz
libraries/menu-cache: Updated for version 20110722_c3b8c57
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--libraries/menu-cache/menu-cache.SlackBuild33
-rw-r--r--libraries/menu-cache/menu-cache.info8
2 files changed, 19 insertions, 22 deletions
diff --git a/libraries/menu-cache/menu-cache.SlackBuild b/libraries/menu-cache/menu-cache.SlackBuild
index 7919816c1d..d1a3243595 100644
--- a/libraries/menu-cache/menu-cache.SlackBuild
+++ b/libraries/menu-cache/menu-cache.SlackBuild
@@ -25,7 +25,7 @@
# SUCH DAMAGE.
PRGNAM=menu-cache
-VERSION=${VERSION:-0.3.2}
+VERSION=${VERSION:-20110722_c3b8c57}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -44,24 +44,25 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ LIBDIRSUFFIX=""
fi
-set -e
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -70,7 +71,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-LDFLAGS="$SLKLDFLAGS" \
+sh autogen.sh
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -79,21 +81,16 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--sysconfdir=/etc \
--mandir=/usr/man \
- --disable-static \
+ --enable-static=no \
--program-prefix= \
--program-suffix= \
- --build=$ARCH-slackware-linux \
-
-make
-make install DESTDIR=$PKG
+ --build=$ARCH-slackware-linux
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+make
+make install-strip DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS INSTALL README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/menu-cache/menu-cache.info b/libraries/menu-cache/menu-cache.info
index a532cb98fa..5bfd5d3317 100644
--- a/libraries/menu-cache/menu-cache.info
+++ b/libraries/menu-cache/menu-cache.info
@@ -1,10 +1,10 @@
PRGNAM="menu-cache"
-VERSION="0.3.2"
+VERSION="20110722_c3b8c57"
HOMEPAGE="http://lxde.org"
-DOWNLOAD="http://downloads.sourceforge.net/lxde/menu-cache-0.3.2.tar.gz"
-MD5SUM="ac4a9ea77db68d3db3f9f53cc75af66a"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/lxde/menu-cache-20110722_c3b8c57.tar.xz"
+MD5SUM="1414288e669e7965fd0a9fd24ddc6067"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="ponce"
EMAIL="matteo.bernardini@gmail.com"
-APPROVED="rworkman"
+APPROVED="Erik Hanson"